Get a metadata list

Base URL
https://{kibana_url}
  • GET /api/endpoint/metadata
  • GET /s/{space_id}/api/endpoint/metadata
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Query parameters

page integer · min: 1 · default: 1
pageSize integer · min: 1 · max: 100 · default: 10
kuery string
Example: united.endpoint.host.os.name : 'Windows'
hostStatuses enum[] required
Values: healthy offline updating inactive unenrolled
sortField enum
Values: enrolled_at metadata.host.hostname host_status metadata.Endpoint.policy.applied.name metadata.Endpoint.policy.applied.status metadata.host.os.name metadata.host.ip metadata.agent.version last_checkin
sortDirection enum
Values: asc desc

Response

OK

application/json

Response Type: object

Base URL
https://{kibana_url}